package ash.util;
import java.util.Iterator;

/**
 * 木構造を表示するためのインタフェース
 */
public interface PrintableTree<T> extends Iterable<T> {
	static final int ROOT = 0;
	static final int SUBROOT = 1;
	static final int LEAF = 2;
	boolean hasMember();
	Iterator<T> iterator();
	String getContent(int type);
}
